# cv::DenseFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::DenseFeatureDetector:

List of all members.

## Classes

class | Params

## Public Member Functions

| DenseFeatureDetector (const DenseFeatureDetector::Params &params=DenseFeatureDetector::Params())

## Protected Member Functions

virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes

Params | params

## Constructor & Destructor Documentation

cv::DenseFeatureDetector::DenseFeatureDetector | ( | const DenseFeatureDetector::Params & | params = `DenseFeatureDetector::Params()` ) |

## Member Function Documentation

virtual void cv::DenseFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

## Member Data Documentation

Params cv::DenseFeatureDetector::params`[protected]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines